* {
    font-family: "Red Hat Display", sans-serif;
}

html {
    scroll-behavior: smooth;
    /*es el selector que hace que todos los scrolls que se hacen */
}

body {
    /*Por default el body contiene un porde de 8px, entonces se debe de eliminar*/
    margin: 0;
    background-color: #ffffff;
    color: #1E1E1E;
}






/*Valores generales de los textos*/
h1 {
    font-size: 70px;
    font-weight: 800;
}

h2 {
    font-size: 50px;
    font-weight: 800;
}

h3 {
    font-size: 30px;
    font-weight: 500;
}

h4 {
    font-size: 20px;
    font-weight: 500;
}

p {
    font-size: 16px;
    font-weight: 400;
}

section {
    padding: 70px 0;
}



/*aqui inician los estilos de la navegacion*/
nav {
    background-color: #ffffff !important;

}

nav a {
    color: black !important;
    font-size: 20px !important;
    font-weight: 400 !important;

    transform: scale(0.85);
}

nav .active {
    font-weight: 700 !important;
}

nav a:active {
    font-weight: 700 !important;
}

nav a img {
    width: 200px;
}

nav a:hover {
    font-weight: 800 !important;
    transform: scale(0.9);
}











/*Aqui inician los estilos del header*/
.header-lap {
    min-height: 100vh;
    padding-top: 40vh;
}

header {
    color: #ffffff;
}

.boton-gris {
    text-decoration: none;
    background-color: #797876;
    font-weight: 700;
    color: #ffffff;
    padding: 15px 30px;
    text-align: center;

    display: inline-block;
    margin: 30px 0;

    border-width: 2px;
    border-style: none;
    border-color: #ffffff;
    border-radius: 50px;
}

.boton-gris:hover {
    background-color: #3AB7E9;
    color: #ffffff;

    border-width: 2px;
    border-style: none;
    border-color: #797876;
    border-radius: 50px;
}







/*Estos son los estilos de la seccion de categorias de servicios*/
.cat-serv {
    background-color: #1E1E1E;
    color: #ffffff;
}

.boton-categoria {
    text-decoration: none;
    background-color: #333333;
    font-weight: 700;
    color: #ffffff;
    padding: 15px 50px;
    text-align: center;

    display: inline-block;
    margin: 10px 0;

    border-width: 2px;
    border-style: none;
    border-color: #ffffff;
    border-radius: 15px;
}


.boton-categoria:hover {
    background-color: #3AB7E9;
    color: #ffffff;

    border-width: 2px;
    border-style: none;
    border-color: #797876;
    border-radius: 15px;
}


















/*estos son los estilos para las secciones de los servicios*/

/*estilos generales para los servicios blancos*/
.blanco {
    background-color: #ffffff;
    color: #1E1E1E;
}

.bot-servicios-blanco {
    text-decoration: none;
    background-color: #ffffff00;
    font-weight: 700;
    color: #1E1E1E;
    padding: 10px 40px;
    text-align: center;

    display: inline-block;
    margin: 10px 0;

    border-style: none;
    border: solid 2px #1e1e1e;
    border-radius: 50px;
}

.bot-servicios-blanco:hover {
    background-color: #1e1e1e;
    color: #ffffff;
}


/*estilos basicos para las secciones azules*/
.azul {
    background-color: #2D3247;
    color: #ffffff;
}

.bot-servicios-azul {
    text-decoration: none;
    background-color: #ffffff00;
    font-weight: 700;
    color: #ffffff;
    padding: 10px 40px;
    text-align: center;

    display: inline-block;
    margin: 10px 0;

    border-style: none;
    border: solid 2px #ffffff;
    border-radius: 50px;
}

.bot-servicios-azul:hover {
    background-color: #ffffff;
    color: #2D3247;
}


/*estilos de los servicios en conjunto*/
.tx-servicio {
    padding: 120px 3rem;
    min-height: 30vh;
}

.azul img {
    display: none;
}

.blanco img {
    display: none;
}

.servicios {
    padding: 0;
}

/*imagenes de fondo de cada una de los servicios*/
.vigilantes {
    min-height: 30vh;
    padding: 50px 0;
    background-image: url(imagenes/img-serv-vigilantes.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.custodios {
    min-height: 30vh;
    padding: 50px 0;
    background-image: url(imagenes/img-serv-custodios.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.jefe-turno {
    min-height: 30vh;
    padding: 50px 0;
    background-image: url(imagenes/img-serv-jefeturno2.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.coordinadores-turno {
    min-height: 30vh;
    padding: 50px 0;
    background-image: url(imagenes/img-serv-coordinador.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.supervisor {
    min-height: 30vh;
    padding: 50px 0;
    background-image: url(imagenes/img-serv-supervision.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}










/*estilos del footer*/
footer {
    background-color: #1E1E1E;
    color: #ffffff;
    padding: 50px 0;
}

footer a {
    text-decoration: none; /* Elimina el subrayado */
    color: inherit; /* Hereda el color del texto de su contenedor */
}

footer ul {
    list-style: none; /*Este es para quitar los estilos de la lista*/
}

footer li {
    margin-bottom: 15px;
}

footer li:hover {
    font-weight: 800 !important;
}

.imago-foo {
    max-width: 150px;
}

.tx-foo img {
    width: 40px;
    margin-right: 5px;
}






/*Estilos para el Boton de Whats*/
.whats {
    width: 60px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 2000;
}

.whats img {
    width: 60px;
}



























/*Aqui es donde comienzan el uso de las Media Queries*/
/* Small devices (less than 768px) */
@media (max-width: 768px) {

    .blanco img {
        display: block;
    }

    .azul img {
        display: block;
    }

    .vigilantes,
    .custodios,
    .jefe-turno,
    .coordinadores-turno,
    .supervisor {
        background: none;
        min-height: 10vh;
        padding: 10px 0;
    }

    .tx-servicio {
        padding: 20px 2rem;
    }
}